from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XUsedAreaCursor(XInterface, Protocol):
    def gotoStartOfUsedArea(self, bExpand: bool) -> None: ...
    def gotoEndOfUsedArea(self, bExpand: bool) -> None: ...
